<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<parameters-notification [operation]="operation" [operationStatus]="operationStatus"></parameters-notification>
<edit-with-side-bar>
  <edit-content>
    <router-outlet></router-outlet>
  </edit-content>

  <side-bar-back-button class="return-link" title="{{ 'operation-management.step.configuration' | translate }}"
                        [routerLink]="baseRouterLink"></side-bar-back-button>
  <mat-divider></mat-divider>

  <side-bar-item title="{{ 'parameters.base.card.title' | translate }}"
                 required=true
                 [complete]="baseParameterComplete"
                 [inError]="baseParameterInError"
                 [locked]="baseParameterInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'base']"></side-bar-item>
  <mat-divider></mat-divider>

  <side-bar-item title="{{ 'parameters.milestone.card.title' | translate }}"
                 required=true
                 [complete]="milestoneComplete"
                 [inError]="milestoneInError"
                 [locked]="milestoneInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'milestone']"></side-bar-item>
  <mat-divider></mat-divider>

  <side-bar-item title="{{ 'parameters.domain-influence.card.title' | translate }}"
                 required=true
                 [complete]="doiComplete"
                 [inError]="doiInError"
                 [locked]="doiInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'domain-influence']"></side-bar-item>
  <mat-divider></mat-divider>

  <side-bar-item title="{{ 'parameters.repository.card.title' | translate }}"
                 required=true
                 [complete]="repositoryComplete"
                 [inError]="repositoryInError"
                 [locked]="repositoryInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'repository']"></side-bar-item>
  <mat-divider></mat-divider>

  <testing-cards-lot-side-bar-item ngProjectAs="side-bar-item"
                                   [operation]="operation"
                                   [routerLink]="[baseRouterLink, 'edit', 'testing-card-lot']"
                                   [inConfiguration]="true"
                                   [locked]="testingCardInReadOnly | async">
  </testing-cards-lot-side-bar-item>
  <mat-divider></mat-divider>

  <side-bar-item *ngIf="hasElection || hasElectionPageModel"
                 title="{{ 'parameters.election-page-properties.side-bar-title' | translate }}"
                 required=true
                 [complete]="electionPagePropertiesComplete"
                 [inError]="electionPagePropertiesInError"
                 [locked]="electionPagePropertiesInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'election-page-properties']"></side-bar-item>
  <mat-divider *ngIf="hasElection || hasElectionPageModel"></mat-divider>

  <side-bar-item title="{{ 'parameters.document.card.title' | translate }}"
                 [complete]="documentComplete"
                 [inError]="documentInError"
                 [locked]="documentInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'document']"></side-bar-item>
  <mat-divider></mat-divider>

  <side-bar-item title="{{ 'parameters.ballot-documentation.card.title' | translate }}"
                 [complete]="ballotDocumentationComplete"
                 [inError]="ballotDocumentationInError"
                 [locked]="ballotDocumentationInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'ballot-documentation']"></side-bar-item>
  <mat-divider></mat-divider>

  <side-bar-item title="{{ 'parameters.management-entity.card.title' | translate }}"
                 [complete]="managementEntityComplete"
                 [inError]="managementEntityInError"
                 [locked]="managementEntityInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'management-entity']"></side-bar-item>

  <mat-divider></mat-divider>
  <side-bar-item title="{{ 'parameters.voting-site-configuration.sidebar.title' | translate }}"
                 [complete]="votingSiteConfigurationComplete"
                 required=true
                 [inError]="votingSiteConfigurationInError"
                 [locked]="votingSiteConfigurationInReadOnly | async"
                 [routerLink]="[baseRouterLink, 'edit', 'voting-site-configuration']"></side-bar-item>
</edit-with-side-bar>
